Target version: 0.4   
Pull request:    

Description

I've been having trouble now with dead class assignments and it would be nice if Foreman could report them.

Example 1:

Situation: "Node1" in environment "production" has a class NTP assigned to it. In Foreman you change the environment to "test"

where NTP is not present. Foreman keeps NTP on the left side as an assigned class without any warnings.

To make it worse, puppet completely ignores missing classes for external nodes as you can see here:

http://groups.google.com/group/puppet-users/browse_thread/thread/79d8274ec5ad256e?fwc=1

Example 2:

Situation: The NTP class is renamed or deleted. Some nodes that use this class will have now an "orphan" assignment but you are

not able to detect that. Puppet won't tell you (as seen in the link above), and Foreman also won't tell you this (even after a rake task

to import the classes).

Associated revisions

Revision d0e91cb5 - 07/31/2011 08:35 AM - Ohad Levy

fixes #762 - Check class assignment consistency

History

#1 - 05/05/2011 04:05 AM - Ohad Levy

- Target version deleted (0.3)

#2 - 07/31/2011 08:37 AM - Ohad Levy

- Target version set to 0.4

#3 - 07/31/2011 10:20 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d0e91cb592721ee3668885d06a1efcb457ae5b74.
